<?php

namespace Liberty\Services\Inspeccion\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsultarRequest StructType
 * @subpackage Structs
 */
class ConsultarRequest extends AbstractStructBase
{
    /**
     * The chasis
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $chasis;
    /**
     * The codProd
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $codProd;
    /**
     * The motor
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $motor;
    /**
     * The patente
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $patente;
    /**
     * Constructor method for ConsultarRequest
     * @uses ConsultarRequest::setChasis()
     * @uses ConsultarRequest::setCodProd()
     * @uses ConsultarRequest::setMotor()
     * @uses ConsultarRequest::setPatente()
     * @param string $chasis
     * @param string $codProd
     * @param string $motor
     * @param string $patente
     */
    public function __construct($chasis = null, $codProd = null, $motor = null, $patente = null)
    {
        $this
            ->setChasis($chasis)
            ->setCodProd($codProd)
            ->setMotor($motor)
            ->setPatente($patente);
    }
    /**
     * Get chasis value
     * @return string|null
     */
    public function getChasis()
    {
        return $this->chasis;
    }
    /**
     * Set chasis value
     * @param string $chasis
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarRequest
     */
    public function setChasis($chasis = null)
    {
        // validation for constraint: string
        if (!is_null($chasis) && !is_string($chasis)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($chasis, true), gettype($chasis)), __LINE__);
        }
        $this->chasis = $chasis;
        return $this;
    }
    /**
     * Get codProd value
     * @return string|null
     */
    public function getCodProd()
    {
        return $this->codProd;
    }
    /**
     * Set codProd value
     * @param string $codProd
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarRequest
     */
    public function setCodProd($codProd = null)
    {
        // validation for constraint: string
        if (!is_null($codProd) && !is_string($codProd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codProd, true), gettype($codProd)), __LINE__);
        }
        $this->codProd = $codProd;
        return $this;
    }
    /**
     * Get motor value
     * @return string|null
     */
    public function getMotor()
    {
        return $this->motor;
    }
    /**
     * Set motor value
     * @param string $motor
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarRequest
     */
    public function setMotor($motor = null)
    {
        // validation for constraint: string
        if (!is_null($motor) && !is_string($motor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($motor, true), gettype($motor)), __LINE__);
        }
        $this->motor = $motor;
        return $this;
    }
    /**
     * Get patente value
     * @return string|null
     */
    public function getPatente()
    {
        return $this->patente;
    }
    /**
     * Set patente value
     * @param string $patente
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarRequest
     */
    public function setPatente($patente = null)
    {
        // validation for constraint: string
        if (!is_null($patente) && !is_string($patente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($patente, true), gettype($patente)), __LINE__);
        }
        $this->patente = $patente;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Liberty\Services\Inspeccion\StructType\ConsultarRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
