<?php

namespace Liberty\Services\Inspeccion\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SolicitarRequest StructType
 * @subpackage Structs
 */
class SolicitarRequest extends AbstractStructBase
{
    /**
     * The comunaIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $comunaIns;
    /**
     * The dirContactoIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $dirContactoIns;
    /**
     * The nomUsuario
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $nomUsuario;
    /**
     * The nombreContactoIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $nombreContactoIns;
    /**
     * The numCelularIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $numCelularIns;
    /**
     * The numTelefonoIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $numTelefonoIns;
    /**
     * The patenteIns
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $patenteIns;
    /**
     * Constructor method for SolicitarRequest
     * @uses SolicitarRequest::setComunaIns()
     * @uses SolicitarRequest::setDirContactoIns()
     * @uses SolicitarRequest::setNomUsuario()
     * @uses SolicitarRequest::setNombreContactoIns()
     * @uses SolicitarRequest::setNumCelularIns()
     * @uses SolicitarRequest::setNumTelefonoIns()
     * @uses SolicitarRequest::setPatenteIns()
     * @param string $comunaIns
     * @param string $dirContactoIns
     * @param string $nomUsuario
     * @param string $nombreContactoIns
     * @param string $numCelularIns
     * @param string $numTelefonoIns
     * @param string $patenteIns
     */
    public function __construct($comunaIns = null, $dirContactoIns = null, $nomUsuario = null, $nombreContactoIns = null, $numCelularIns = null, $numTelefonoIns = null, $patenteIns = null)
    {
        $this
            ->setComunaIns($comunaIns)
            ->setDirContactoIns($dirContactoIns)
            ->setNomUsuario($nomUsuario)
            ->setNombreContactoIns($nombreContactoIns)
            ->setNumCelularIns($numCelularIns)
            ->setNumTelefonoIns($numTelefonoIns)
            ->setPatenteIns($patenteIns);
    }
    /**
     * Get comunaIns value
     * @return string|null
     */
    public function getComunaIns()
    {
        return $this->comunaIns;
    }
    /**
     * Set comunaIns value
     * @param string $comunaIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setComunaIns($comunaIns = null)
    {
        // validation for constraint: string
        if (!is_null($comunaIns) && !is_string($comunaIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($comunaIns, true), gettype($comunaIns)), __LINE__);
        }
        $this->comunaIns = $comunaIns;
        return $this;
    }
    /**
     * Get dirContactoIns value
     * @return string|null
     */
    public function getDirContactoIns()
    {
        return $this->dirContactoIns;
    }
    /**
     * Set dirContactoIns value
     * @param string $dirContactoIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setDirContactoIns($dirContactoIns = null)
    {
        // validation for constraint: string
        if (!is_null($dirContactoIns) && !is_string($dirContactoIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dirContactoIns, true), gettype($dirContactoIns)), __LINE__);
        }
        $this->dirContactoIns = $dirContactoIns;
        return $this;
    }
    /**
     * Get nomUsuario value
     * @return string|null
     */
    public function getNomUsuario()
    {
        return $this->nomUsuario;
    }
    /**
     * Set nomUsuario value
     * @param string $nomUsuario
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setNomUsuario($nomUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($nomUsuario) && !is_string($nomUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomUsuario, true), gettype($nomUsuario)), __LINE__);
        }
        $this->nomUsuario = $nomUsuario;
        return $this;
    }
    /**
     * Get nombreContactoIns value
     * @return string|null
     */
    public function getNombreContactoIns()
    {
        return $this->nombreContactoIns;
    }
    /**
     * Set nombreContactoIns value
     * @param string $nombreContactoIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setNombreContactoIns($nombreContactoIns = null)
    {
        // validation for constraint: string
        if (!is_null($nombreContactoIns) && !is_string($nombreContactoIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nombreContactoIns, true), gettype($nombreContactoIns)), __LINE__);
        }
        $this->nombreContactoIns = $nombreContactoIns;
        return $this;
    }
    /**
     * Get numCelularIns value
     * @return string|null
     */
    public function getNumCelularIns()
    {
        return $this->numCelularIns;
    }
    /**
     * Set numCelularIns value
     * @param string $numCelularIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setNumCelularIns($numCelularIns = null)
    {
        // validation for constraint: string
        if (!is_null($numCelularIns) && !is_string($numCelularIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numCelularIns, true), gettype($numCelularIns)), __LINE__);
        }
        $this->numCelularIns = $numCelularIns;
        return $this;
    }
    /**
     * Get numTelefonoIns value
     * @return string|null
     */
    public function getNumTelefonoIns()
    {
        return $this->numTelefonoIns;
    }
    /**
     * Set numTelefonoIns value
     * @param string $numTelefonoIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setNumTelefonoIns($numTelefonoIns = null)
    {
        // validation for constraint: string
        if (!is_null($numTelefonoIns) && !is_string($numTelefonoIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numTelefonoIns, true), gettype($numTelefonoIns)), __LINE__);
        }
        $this->numTelefonoIns = $numTelefonoIns;
        return $this;
    }
    /**
     * Get patenteIns value
     * @return string|null
     */
    public function getPatenteIns()
    {
        return $this->patenteIns;
    }
    /**
     * Set patenteIns value
     * @param string $patenteIns
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public function setPatenteIns($patenteIns = null)
    {
        // validation for constraint: string
        if (!is_null($patenteIns) && !is_string($patenteIns)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($patenteIns, true), gettype($patenteIns)), __LINE__);
        }
        $this->patenteIns = $patenteIns;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Liberty\Services\Inspeccion\StructType\SolicitarRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
